Search Gradle plugins

Version 1.77 (latest)

Created 03 December 2021.

Provides extra Kotlin DSL for Gradle scripts

Using the plugins DSL:

plugins {
  id "com.github.vlsi.gradle-extensions" version "1.77"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "com.github.vlsi.gradle:gradle-extensions-plugin:1.77"
  }
}

apply plugin: "com.github.vlsi.gradle-extensions"

Using the plugins DSL:

plugins {
  id("com.github.vlsi.gradle-extensions") version "1.77"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("com.github.vlsi.gradle:gradle-extensions-plugin:1.77")
  }
}

apply(plugin = "com.github.vlsi.gradle-extensions")

Learn how to apply plugins to subprojects